Bug 22130 - Batch checkout: authorized value description is never shown with notforloan status
Summary: Batch checkout: authorized value description is never shown with notforloan s...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Pierre-Marc Thibault
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-14 18:53 UTC by Pierre-Marc Thibault
Modified: 2019-05-27 12:29 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22130: Correct parameter to get authorized value description. (2.26 KB, patch)
2019-01-15 15:42 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 22130: Correct parameter to get authorized value description. (2.33 KB, patch)
2019-02-12 13:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22130: Correct parameter to get authorized value description. (2.38 KB, patch)
2019-02-12 21:37 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22130: (follow-up) Show not for loan authorised values in batch checkout (3.21 KB, patch)
2019-02-12 21:37 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22130: Correct parameter to get authorized value description. (2.43 KB, patch)
2019-02-15 13:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22130: (follow-up) Show not for loan authorised values in batch checkout (3.25 KB, patch)
2019-02-15 13:48 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre-Marc Thibault 2019-01-14 18:53:24 UTC
There is an error when document status is shown. When the text information is "Item is normally not for loan", the text in brackets is always the authorized value even if there is a description for that.
Comment 1 Pierre-Marc Thibault 2019-01-15 15:42:07 UTC Comment hidden (obsolete)
Comment 2 Devinim 2019-01-17 18:40:34 UTC
Hi Pierre-Marc,

We went through your steps but we didn't see any number under the column "Information"

We saw "! Item not for loan" message there.

Thanks.
Devinim Koha Team
Comment 3 Martin Renvoize 2019-02-12 13:39:18 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2019-02-12 13:40:48 UTC
This worked for me... Signing off.
Comment 5 Josef Moravec 2019-02-12 21:37:30 UTC
Created attachment 85027 [details] [review]
Bug 22130: Correct parameter to get authorized value description.

This patch corrects the error that shows an authorized value instead of the obvious description of the document status.

TEST PLAN
1) In Koha administration, search "BatchCheckouts".
2) Make sure "BatchCheckouts" is set at "Allow".
3) Make sure "BatchCheckoutsValidCategories" contains at least one patron category.
5) Copy the barcode of an item and change the status document so it cannot be loaned.
4) Choose a patron which belongs to the patron category at 3).
(their account should not be expired and they should not have active fees preferably)
5) Go to the patron details page.
6) Click on "Batch check out".
7) Enter the item barcode.
8) Notice a number is in brackets under the column "Information".
9) Apply patch.
10) Notice the status description has replaced the number.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2019-02-12 21:37:34 UTC
Created attachment 85028 [details] [review]
Bug 22130: (follow-up) Show not for loan authorised values in batch checkout

TEST PLAN
1) In Koha administration, search "BatchCheckouts".
2) Make sure "BatchCheckouts" is set at "Allow".
3) Make sure "BatchCheckoutsValidCategories" contains at least one
patron category.
5) Copy the barcode of an item and change the status document so it
cannot be loaned.
4) Choose a patron which belongs to the patron category at 3).
(their account should not be expired and they should not have active
 fees preferably)
5) Go to the patron details page.
6) Click on "Batch check out".
7) Enter the item barcode.
8) Notice a number is in brackets under the column "Information".
9) Apply patch.
10) Notice the status description has replaced the number.
11) Try it with both: AllowNotForLoanOverride on and off

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Martin Renvoize 2019-02-15 09:04:15 UTC
Confused by the status of this one.. accidental set back to NSO rather than PQA perhaps?
Comment 8 Owen Leonard 2019-02-15 13:48:17 UTC
Created attachment 85169 [details] [review]
Bug 22130: Correct parameter to get authorized value description.

This patch corrects the error that shows an authorized value instead of the obvious description of the document status.

TEST PLAN
1) In Koha administration, search "BatchCheckouts".
2) Make sure "BatchCheckouts" is set at "Allow".
3) Make sure "BatchCheckoutsValidCategories" contains at least one patron category.
5) Copy the barcode of an item and change the status document so it cannot be loaned.
4) Choose a patron which belongs to the patron category at 3).
(their account should not be expired and they should not have active fees preferably)
5) Go to the patron details page.
6) Click on "Batch check out".
7) Enter the item barcode.
8) Notice a number is in brackets under the column "Information".
9) Apply patch.
10) Notice the status description has replaced the number.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 9 Owen Leonard 2019-02-15 13:48:20 UTC
Created attachment 85170 [details] [review]
Bug 22130: (follow-up) Show not for loan authorised values in batch checkout

TEST PLAN
1) In Koha administration, search "BatchCheckouts".
2) Make sure "BatchCheckouts" is set at "Allow".
3) Make sure "BatchCheckoutsValidCategories" contains at least one
patron category.
5) Copy the barcode of an item and change the status document so it
cannot be loaned.
4) Choose a patron which belongs to the patron category at 3).
(their account should not be expired and they should not have active
 fees preferably)
5) Go to the patron details page.
6) Click on "Batch check out".
7) Enter the item barcode.
8) Notice a number is in brackets under the column "Information".
9) Apply patch.
10) Notice the status description has replaced the number.
11) Try it with both: AllowNotForLoanOverride on and off

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 10 Josef Moravec 2019-02-20 15:40:25 UTC
(In reply to Martin Renvoize from comment #7)
> Confused by the status of this one.. accidental set back to NSO rather than
> PQA perhaps?

True, sorry. Passed QA
Comment 11 Nick Clemens 2019-02-22 15:07:31 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-02-26 09:58:48 UTC
Pushed to 18.11.x for 18.11.04
Comment 13 Lucas Gass 2019-03-08 17:04:41 UTC
backported to 18.05.x for 18.05.11